Skip to main content
GET
Retrieve details of a payment transaction

Authorizations

X-API-KEY
string
header
required

The authorization key obtained from MarketONE.

Path Parameters

id
string
required

The extTransactionID parameter is the transaction ID on which the original transaction was processed.

Maximum string length: 36

Response

OK - Transaction Status successfully retrieved

The Transaction object provides a way to charge a customer.

id
string
required

A unique identifier.

Maximum string length: 128
amount
number
required

The net amount of the charge presented by this transaction, as a decimal. Must be positive (zero allowed).

items
object[]
required

The array of Transaction Items belonging to this transaction. Items correspond to the charges.There will be 2 separate items - One for the actual amount and other for tax amount.

object
enum<string>

Value is “Transaction”

Available options:
Transaction
created
string<date-time>

The time this transaction was initiated.

currency
string

The ISO 4217 Currency Code of this transaction

metadata
object

A set of key/value pairs that you can attach to an object. Useful for storing additional information. For transactions resulting from a subscription, the metadata is also inherited from the subscription.

billing_descriptor
string

Optional “soft descriptor” to send to the aggregator for this transaction.

original_billing_date
string<date-time>

The original scheduled billing date associated with the billing for which this transaction collects funds. For an initial attempt, this is the same as the transaction date; for a retry transaction this is the original attempt date.

status
string

Status of the transaction.

statusCode
string

In case of failed transaction, the error code